Bug 501403 - Frequent lockups and crashes with RV250/ATI AiW9000 on Fedora 11
Frequent lockups and crashes with RV250/ATI AiW9000 on Fedora 11
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 18:52 EDT by Luke Hutchison
Modified: 2009-05-29 09:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-29 09:44:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Hutchison 2009-05-18 18:52:20 EDT
Description of problem:
I have an All-in-Wonder 9000 (RV250).  When running Fedora 11 (latest rawhide), the card frequently locks up.  Variations include:

(1) Sudden unprovoked lockup of machine, black screen, underlying OS is still functional.
(2) Sudden unprovoked lockup of machine, black screen, underlying OS also locked up.
(3) Lockup of Xorg when opening a complex web page (e.g. Gmail), mouse pointer still functional but desktop is not responding and System monitor graphs are frozen.
(4) Lockup of Xorg when opening a page with embedded Flash video (flash-plugin-10.0.22.87-release.i386).  Either locks up screen with image still showing (no mouse pointer) or with black screen, but OS is also frozen in both cases, and computer needs multiple reset cycles to be able to boot again.  A page that triggers this behavior with its current Flash content is: http://www.boston.com/news/local/massachusetts/articles/2009/05/18/blaze_sparks_during_service_guts_cambridge_lds_church/

This renders Fedora 11 unusable on this machine without setting the driver to "vesa".

--

$ rpm -qa | grep -i xorg | sort
xorg-x11-apps-7.3-8.fc11.i586
xorg-x11-docs-1.3-5.fc11.noarch
xorg-x11-drivers-7.3-11.fc11.i586
xorg-x11-drv-acecad-1.3.0-1.fc11.i586
xorg-x11-drv-aiptek-1.2.0-1.fc11.i586
xorg-x11-drv-apm-1.2.1-2.fc11.i586
xorg-x11-drv-ast-0.87.0-2.fc11.i586
xorg-x11-drv-ati-6.12.2-14.fc11.i586
xorg-x11-drv-cirrus-1.2.0-6.fc11.i586
xorg-x11-drv-dummy-0.3.1-2.fc11.i586
xorg-x11-drv-elographics-1.2.3-2.fc11.i586
xorg-x11-drv-evdev-2.2.1-3.fc11.i586
xorg-x11-drv-fbdev-0.4.0-4.fc11.i586
xorg-x11-drv-fpit-1.3.0-2.fc11.i586
xorg-x11-drv-geode-2.11.2-1.fc11.i586
xorg-x11-drv-glint-1.2.2-2.fc11.i586
xorg-x11-drv-hyperpen-1.3.0-1.fc11.i586
xorg-x11-drv-i128-1.3.0-2.fc11.i586
xorg-x11-drv-i740-1.2.0-3.fc11.i586
xorg-x11-drv-intel-2.7.0-4.fc11.i586
xorg-x11-drv-keyboard-1.3.2-3.fc11.i586
xorg-x11-drv-mach64-6.8.0-3.fc11.i586
xorg-x11-drv-mga-1.4.10-1.fc11.i586
xorg-x11-drv-mouse-1.4.0-2.fc11.i586
xorg-x11-drv-mutouch-1.2.1-2.fc11.i586
xorg-x11-drv-neomagic-1.2.2-2.fc11.i586
xorg-x11-drv-nouveau-0.0.12-34.20090507git1072103.fc11.i586
xorg-x11-drv-nv-2.1.13-1.fc11.i586
xorg-x11-drv-openchrome-0.2.903-10.fc11.i586
xorg-x11-drv-penmount-1.4.0-2.fc11.i586
xorg-x11-drv-r128-6.8.0-3.fc11.i586
xorg-x11-drv-rendition-4.2.1-2.fc11.i586
xorg-x11-drv-s3virge-1.10.2-2.fc11.i586
xorg-x11-drv-savage-2.2.1-1.fc11.i586
xorg-x11-drv-siliconmotion-1.7.0-1.fc11.i586
xorg-x11-drv-sis-0.10.1-2.fc11.i586
xorg-x11-drv-sisusb-0.9.1-2.fc11.i586
xorg-x11-drv-synaptics-1.1.0-5.fc11.i586
xorg-x11-drv-tdfx-1.4.1-2.fc11.i586
xorg-x11-drv-trident-1.3.1-2.fc11.i586
xorg-x11-drv-v4l-0.2.0-2.fc11.i586
xorg-x11-drv-vesa-2.2.0-3.fc11.i586
xorg-x11-drv-vmmouse-12.6.3-4.fc11.i586
xorg-x11-drv-vmware-10.16.0-3.fc11.i586
xorg-x11-drv-void-1.2.0-1.fc11.i586
xorg-x11-drv-voodoo-1.2.1-2.fc11.i586
xorg-x11-filesystem-7.3-4.fc11.noarch
xorg-x11-fonts-ISO8859-1-100dpi-7.2-8.fc11.noarch
xorg-x11-fonts-misc-7.2-8.fc11.noarch
xorg-x11-font-utils-7.2-7.fc11.i586
xorg-x11-proto-devel-7.4-14.fc11.noarch
xorg-x11-server-common-1.6.1-11.fc11.i586
xorg-x11-server-devel-1.6.1-11.fc11.i586
xorg-x11-server-utils-7.4-7.fc11.i586
xorg-x11-server-Xorg-1.6.1-11.fc11.i586
xorg-x11-util-macros-1.2.1-2.fc11.noarch
xorg-x11-utils-7.4-4.fc11.i586
xorg-x11-xauth-1.0.2-6.fc11.i586
xorg-x11-xinit-1.0.9-7.fc11.i586
xorg-x11-xkb-utils-7.2-8.fc11.i586
xorg-x11-xtrans-devel-1.2.2-2.fc11.noarch

$ lspci
00:00.0 Host bridge: nVidia Corporation nForce3 250Gb Host Bridge (rev a1)
00:01.0 ISA bridge: nVidia Corporation nForce3 250Gb LPC Bridge (rev a2)
00:01.1 SMBus: nVidia Corporation nForce 250Gb PCI System Management (rev a1)
00:02.0 USB Controller: nVidia Corporation CK8S USB Controller (rev a1)
00:02.1 USB Controller: nVidia Corporation CK8S USB Controller (rev a1)
00:02.2 USB Controller: nVidia Corporation nForce3 EHCI USB 2.0 Controller (rev a2)
00:06.0 Multimedia audio controller: nVidia Corporation nForce3 250Gb AC'97 Audio Controller (rev a1)
00:08.0 IDE interface: nVidia Corporation CK8S Parallel ATA Controller (v2.5) (rev a2)
00:0a.0 IDE interface: nVidia Corporation nForce3 Serial ATA Controller (rev a2)
00:0b.0 PCI bridge: nVidia Corporation nForce3 250Gb AGP Host to PCI Bridge (rev a2)
00:0e.0 PCI bridge: nVidia Corporation nForce3 250Gb PCI-to-PCI Bridge (rev a2)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon RV250 If [Radeon 9000] (rev 01)
01:00.1 Display controller: ATI Technologies Inc Radeon RV250 [Radeon 9000] (Secondary) (rev 01)
02:07.0 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306 Fire II IEEE 1394 OHCI Link Layer Controller (rev 80)
02:08.0 Ethernet controller: Marvell Technology Group Ltd. 88E8001 Gigabit Ethernet Controller (rev 13)
Comment 1 Matěj Cepl 2009-05-24 13:21:58 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Luke Hutchison 2009-05-28 06:31:28 EDT
Sorry, I just ended up selling this computer, so cannot attach the log.  Please close the bug if the info here is not useful and if you have no RV250 card to test on.
Comment 3 Matěj Cepl 2009-05-29 09:44:26 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Thank you very much for filing the bug.

Note You need to log in before you can comment on or make changes to this bug.